Debian Bug report logs - #709434
ITP: mozjs17 -- Spidermonkey javascript library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Laurent Bigonville <bigon@debian.org>

Date: Thu, 23 May 2013 10:21:07 UTC

Owned by: László Böszörményi (GCS) <gcs@debian.org>

Severity: wishlist

Fixed in version mozjs17/17.0.0-1

Done: Laszlo Boszormenyi (GCS) <gcs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#709434; Package src:mozjs. (Thu, 23 May 2013 10:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
New Bug report received and forwarded. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Thu, 23 May 2013 10:21:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mozjs: Please upgrade to last release (mozjs17.0.0)
Date: Thu, 23 May 2013 12:19:53 +0200
Source: mozjs
Version: 1.8.5-1.0.0+dfsg-4
Severity: wishlist

Hello,

It seems that mozilla has release a new version of mozjs (mozjs17.0.0).

As the current snapshot/version in the archive is pretty old it would be
nice if it could be updated.

The following packages are currently depending against libmozjs185-1.0:

  0ad
  cinnamon
  couchdb
  dehydra
  gnome-shell
  libgjs0b
  libgjs0c
  libmozjs185-dev
  libpeas-1.0-0
  mediatomb-common
  oolite
  policykit-1

This will probably require a transition and some coordination.

Cheers

Laurent Bigonville

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_BE.utf8, LC_CTYPE=fr_BE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#709434; Package src:mozjs. (Thu, 23 May 2013 11:24:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rico Tzschichholz <ricotz@t-online.de>:
Extra info received and forwarded to list. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Thu, 23 May 2013 11:24:16 GMT) Full text and rfc822 format available.

Message #10 received at 709434@bugs.debian.org (full text, mbox):

From: Rico Tzschichholz <ricotz@t-online.de>
To: 709434@bugs.debian.org
Subject: mozjs: Please upgrade to last release (mozjs17.0.0)
Date: Thu, 23 May 2013 13:23:25 +0200
[Message part 1 (text/plain, inline)]
Replacing the current mozjs185 package is not reasonable.
It is really needed to provide a separate mozjs17 source package which
can be installed in parallel. Transitioning to the new JS syntax is not
easy and e.g. 0ad is far away from it.

Rico

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#709434; Package src:mozjs. (Thu, 23 May 2013 11:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Lunn <darkxst@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Thu, 23 May 2013 11:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 709434@bugs.debian.org (full text, mbox):

From: Tim Lunn <darkxst@ubuntu.com>
To: 709434@bugs.debian.org
Subject: mozjs17
Date: Thu, 23 May 2013 21:48:31 +1000
polkit and gjs have both been ported upstream.
gnome-shell and cinnamon don't require any changes (maybe just a rebuild)

Couchdb, is a bit of a problem, they use an invalid JS syntax as a core feature of user scripts, so will be stuck with 1.8.5 until they solve
that issue.

0ad, last I heard they wanted to go straight to mozjs18 (although there won't be a release for this).

For the rest of the projects porting is reasonably trivial however will result in quite large diffs and not something that would want to carry
as distro patches.

We currently have mozjs17, gjs and gnome-shell packaged in the gnome3 ppa, overall this brings significant improvements in memory usage,
responsiveness and the dreaded GC deadlocks are gone!

Tim
Ubuntu GNOME







Information forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#709434; Package src:mozjs. (Wed, 31 Jul 2013 07:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio Pedretti <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Wed, 31 Jul 2013 07:54:07 GMT) Full text and rfc822 format available.

Message #20 received at 709434@bugs.debian.org (full text, mbox):

From: Fabio Pedretti <fabio.ped@libero.it>
To: 709434@bugs.debian.org
Subject: Uploaded in Ubuntu
Date: Wed, 31 Jul 2013 09:52:04 +0200 (CEST)
Ubuntu is now shipping this package:
http://packages.ubuntu.com/source/saucy/mozjs17



Information forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#709434; Package src:mozjs. (Tue, 17 Sep 2013 14:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Tue, 17 Sep 2013 14:03:10 GMT) Full text and rfc822 format available.

Message #25 received at 709434@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 709434@bugs.debian.org
Subject: RFP: mozjs17 -- Spidermonkey javascript library
Date: Tue, 17 Sep 2013 16:00:02 +0200
reassign 709434 wnpp
retitle 709434 RFP: mozjs17 -- Spidermonkey javascript library
thanks

Hi,

Well I guess I'll turn this into a RFP then

Ubuntu is already providing this mozjs17 package:

   mozjs17 | 17.0.0-0ubuntu1 | saucy/universe | source

Cheers,

Laurent Bigonville



Bug reassigned from package 'src:mozjs' to 'wnpp'. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Tue, 17 Sep 2013 14:03:16 GMT) Full text and rfc822 format available.

No longer marked as found in versions mozjs/1.8.5-1.0.0+dfsg-4. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Tue, 17 Sep 2013 14:03:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: mozjs17 -- Spidermonkey javascript library' from 'mozjs: Please upgrade to last release (mozjs17.0.0)' Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Tue, 17 Sep 2013 14:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#709434; Package wnpp. (Thu, 19 Sep 2013 07:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 19 Sep 2013 07:42:14 GMT) Full text and rfc822 format available.

Message #36 received at 709434@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Debian Bug Tracking System <control@bugs.debian.org>
Cc: 709434@bugs.debian.org
Subject: ITP: mozjs17 -- Spidermonkey javascript library
Date: Thu, 19 Sep 2013 09:40:19 +0200
retitle 709434 ITP: mozjs17 -- Spidermonkey javascript library
owner 709434 !
thanks

Have a package, builds fine and seems to be correct. Needs a correct
debian/copyright .
ETA for upload is 23rd of September (next Monday).



Changed Bug title to 'ITP: mozjs17 -- Spidermonkey javascript library' from 'RFP: mozjs17 -- Spidermonkey javascript library' Request was from László Böszörményi (GCS) <gcs@debian.org> to control@bugs.debian.org. (Thu, 19 Sep 2013 07:42:17 GMT) Full text and rfc822 format available.

Owner recorded as László Böszörményi (GCS) <gcs@debian.org>. Request was from László Böszörményi (GCS) <gcs@debian.org> to control@bugs.debian.org. (Thu, 19 Sep 2013 07:42:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 24 Sep 2013 08:06:04 GMT) Full text and rfc822 format available.

Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>:
You have taken responsibility. (Fri, 01 Nov 2013 00:03:18 GMT) Full text and rfc822 format available.

Notification sent to Laurent Bigonville <bigon@debian.org>:
Bug acknowledged by developer. (Fri, 01 Nov 2013 00:03:18 GMT) Full text and rfc822 format available.

Message #47 received at 709434-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.org>
To: 709434-close@bugs.debian.org
Subject: Bug#709434: fixed in mozjs17 17.0.0-1
Date: Fri, 01 Nov 2013 00:00:11 +0000
Source: mozjs17
Source-Version: 17.0.0-1

We believe that the bug you reported is fixed in the latest version of
mozjs17, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709434@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.org> (supplier of updated mozjs17 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Sep 2013 12:40:39 +0000
Source: mozjs17
Binary: libmozjs-17.0-0 libmozjs-17.0-0-dbg libmozjs-17.0-dev libmozjs-17.0-bin libmozjs-17.0-bin-dbg
Architecture: source amd64
Version: 17.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Description: 
 libmozjs-17.0-0 - Spidermonkey javascript engine
 libmozjs-17.0-0-dbg - Spidermonkey javascript engine (debug symbols)
 libmozjs-17.0-bin - Spidermonkey javascript shell
 libmozjs-17.0-bin-dbg - Spidermonkey javascript shell (debug symbols)
 libmozjs-17.0-dev - Spidermonkey javascript library - development headers
Closes: 709434
Changes: 
 mozjs17 (17.0.0-1) unstable; urgency=low
 .
   * Initial release (closes: #709434).
   * Update to debhelper level 9.
   * Convert to multi-arch.
   * Fix copyright .
 .
 mozjs17 (17.0.0-0ubuntu1) saucy; urgency=low
 .
   * New upstream release (LP: #1113166)
     - Should noticably improve GNOME Shell performance by fixing
       memory leaks and avoiding garbage collector deadlocks
     - A separate source package is used because some rdepends like couchdb
       won't be ready for this version any time soon
   * Adjust packaging to new firefox versioned releases
   * Drop .symbols files
   * Add -dbg package
   * debian/patches:
     - Dropped all existing patches, they are included in new version
     - fix-soname.patch, added to correct soname for shared library
   * debian/rules:
     - enable parallel build
     - move shared library and create symlinks for standard soname versioning
Checksums-Sha1: 
 548e78e5218ee5e1d62fdd2e4c2508b1acfb8953 1416 mozjs17_17.0.0-1.dsc
 7805174898c34e5d3c3b256117af9944ba825c89 6778934 mozjs17_17.0.0.orig.tar.gz
 5f8f666b41262f8bf3cf9442bf0bbc967081e491 31354 mozjs17_17.0.0-1.debian.tar.gz
 769cd8e0829e955a6356337542ee2b631f908d12 1284274 libmozjs-17.0-0_17.0.0-1_amd64.deb
 b865ec8e4d128b1580b9bd9bb61404bc8ff1e406 24431454 libmozjs-17.0-0-dbg_17.0.0-1_amd64.deb
 61c9b643d9452780be9c889d406ad37432101329 1776032 libmozjs-17.0-dev_17.0.0-1_amd64.deb
 112c474386e0db8d124b00829ed2cf0831e169fb 1297644 libmozjs-17.0-bin_17.0.0-1_amd64.deb
 79b5462d3e61f2e7bdeb52d1a545fb15e2fd93ae 24910306 libmozjs-17.0-bin-dbg_17.0.0-1_amd64.deb
Checksums-Sha256: 
 f2e159116b882214f787d9f28c616540553e8da356c6f8b1ed734e79edc4f636 1416 mozjs17_17.0.0-1.dsc
 321e964fe9386785d3bf80870640f2fa1c683e32fe988eeb201b04471c172fba 6778934 mozjs17_17.0.0.orig.tar.gz
 1b0b06d80b022da6a0023159310bd21c32c565b24e39a6198e14850cdea972ad 31354 mozjs17_17.0.0-1.debian.tar.gz
 d426c9d34a1fce7873f25334ae184e49a4678b869a75bd308fd28b9f2ca1b653 1284274 libmozjs-17.0-0_17.0.0-1_amd64.deb
 3b18e7eaced566cd8f93dbc4ed8980e34ddeaed777b78ffa7680ab35b145a2cb 24431454 libmozjs-17.0-0-dbg_17.0.0-1_amd64.deb
 6a2d01f2fea41d4bc3e990991a4215fa8f275b3ba4a417bf909d1451caffc1cf 1776032 libmozjs-17.0-dev_17.0.0-1_amd64.deb
 3664b8c908b0dd77ece0bf0a7e6516dc5693df47f253d5b53af6da34546d3ea0 1297644 libmozjs-17.0-bin_17.0.0-1_amd64.deb
 a6c374b9e6665c787fc2606ab4ee68851fe33f07fad96c1fbef5802a46d35a85 24910306 libmozjs-17.0-bin-dbg_17.0.0-1_amd64.deb
Files: 
 e1d13522bfff27f481df6134e248918b 1416 libs extra mozjs17_17.0.0-1.dsc
 20b6f8f1140ef6e47daa3b16965c9202 6778934 libs extra mozjs17_17.0.0.orig.tar.gz
 da4d073fd0e89764463c931841618891 31354 libs extra mozjs17_17.0.0-1.debian.tar.gz
 893e04861cbe3485d6d6bf3ee722382c 1284274 libs extra libmozjs-17.0-0_17.0.0-1_amd64.deb
 ec4196334f292db64e3650b49209a6e6 24431454 debug extra libmozjs-17.0-0-dbg_17.0.0-1_amd64.deb
 7ccf767b44276eed7f3596cc5704c4a6 1776032 libdevel extra libmozjs-17.0-dev_17.0.0-1_amd64.deb
 ae2365c5c36cb4688bed2b1ae48990e4 1297644 libs extra libmozjs-17.0-bin_17.0.0-1_amd64.deb
 93bfc9104f1a8eb61a9aad249d16bd54 24910306 debug extra libmozjs-17.0-bin-dbg_17.0.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJAXF8ACgkQMDatjqUaT904RgCeKXFJ9bFW+WtUvgZJJ4ItUlMH
lm8AoIFqfNdWF5Q9W8jRqrjHyd1sDkRK
=TBYa
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Nov 2013 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:27:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.